Group Assignment Audit Report (v2)
Generates a report that lists users and groups that have been assigned to or unassigned (removed) from EPM groups for a specified date range. Additionally, the report includes users who have been assigned or unassigned (removed) from IDCS groups, based on the IDCS Audit record retention period. This report can list the assignments and unassignments for a maximum of 14 days for IDCS groups and 120 days for EPM groups.
The Group Assignment Audit Report lists the User Login Name, IDCS Group Name, and either the Predefined Group Name or EPM Group Name associated with a group membership change (as indicated in the Action column). The report also includes the EPM or IDCS group that was assigned or unassigned, the user who executed the membership change (Performed By column), and the completion timestamp (UTC) in 24-hour format. The API writes the report to the filename provided, and the report can then be downloaded using the Download REST API
This is an asynchronous job and uses the job status URI to determine if the operation is complete.
The presence of status -1 in the response indicates that the generation of Group Assignment Audit Report is in progress. Use the job status URI to determine whether the generation of the report is complete. Any non-zero status except -1 indicates failure of generating the report.
Required Roles
-
Service Administrator
-
Any application role and the Access Control - Manage granular role
-
Any application role and the Access Control - View granular role
REST Resource
POST /interop/rest/v2/reports/groupaudit
Table 2-113 Tasks for Group Assignment Audit Report
| Task | Request | REST Resource |
|---|---|---|
| Group Assignment Audit Report | POST |
|
| Group Assignment Audit Report Status | GET |
|
Request
Supported Media Type: application/json
Table 2-114 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
filename |
The CSV file where the report is to be populated, such as
|
Payload | Yes | None |
nDays |
Number of days for which audit records should be exported. Maximum value is 120. | Payload | No | None |
from_date |
The start date for the report (in YYYY-MM-DD format) | Payload | No | None |
to_date |
The end date for the report (in YYYY-MM-DD format) | Payload | No | None |
Note:
Date range validations are performed for thenDays,
from_date, and to_date values:
- You must specify either
ndaysor a date range using thefrom_dateandto_dateparameters. - The
from_datecannot be earlier than the allowed maximum retention period specified by the Audit Retention Period (days) setting in the Oracle Cloud Identity Console. - The
to_datecannot be later than the maximum retention period from thefrom_date. - The
to_datecannot be earlier than thefrom_date.
Example 1
{
fileName":"groupauditreport_test.csv",
"from_date":"2022-03-26",
"to_date":"2022-05-30"
}
Example 2
{
fileName":"groupauditreport_test.csv",
"nDays":65",
}
Response
Supported Media Types: application/json
Table 2-115 Parameters
| Parameters | Description |
|---|---|
details |
In case of errors, details are published with the error string |
status |
See Migration Status Codes |
links |
Detailed information about the link |
href |
Links to API call |
action |
The HTTP call type |
rel |
Can be self and/or Job Status. If set to Job Status, you can use the href to get the status of the import operation
|
data |
Parameters as key value pairs passed in the request |
Example of Response Body
{
"links": [
{
"rel": "self",
"href": "https://<BASE-URL>/interop/rest/v2/reports/groupaudit",
"data": null,
"action": "POST"
},
{
"rel": "Job Status",
"href": "https://<BASE-URL>/interop/rest/v2/jobs/3180621025673301",
"data": null,
"action": "GET"
}
],
"status": -1,
"details": null
}
Sample cURL Command Basic Auth
curl -X POST -s -u '<USERNAME>:<PASSWORD>' -H'Content-Type: application/json' -d '{"fileName":"groupAssignmentAuditReport.csv","from_date":"2025-03-30","to_date":"2025-04-28"}' 'https://<BASE-URL>/interop/rest/v2/reports/groupaudit'
curl -X POST -s -u '<USERNAME>:<PASSWORD>' -H 'Content-Type: application/json' -d '{"fileName":"groupAssignmentAuditReport.csv","nDays":3}' 'https://<BASE-URL>/interop/rest/v2/reports/groupaudit'
Sample cURL Command OAuth 2.0
curl -X POST --header "Authorization: Bearer <OAUTH_ACCESS_TOKEN>" -H 'Content-Type: application/json' -d '{"fileName":"groupAssignmentAuditReport.csv","from_date":"2025-03-30","to_date":"2025-04-28"}' 'https://<BASE-URL>/interop/rest/v2/reports/groupaudit'
curl -X POST --header "Authorization: Bearer <OAUTH_ACCESS_TOKEN>" -H 'Content-Type: application/json' -d '{"fileName":"groupAssignmentAuditReport.csv","nDays":3}' 'https://<BASE-URL>/interop/rest/v2/reports/groupaudit'